@font-face {
    font-family: TeXGyreHerosRegular;
    src: url(fonts/texgyreheros-regular.otf);
}
@font-face {
    font-family: TeXGyreHerosCn;
    src: url(fonts/texgyreheroscn-regular.otf);
}

:root {
    --sans: TeXGyreHerosRegular;
    --condensed: TeXGyreHerosCn;
}
::selection {
    background-color: black;
    color: white;
}

*,
html {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: var(--sans);
}

/* TYPE */
h2 {
    font-family: var(--condensed);
    font-weight: 100;
    letter-spacing: 0.5px;
}
/* TITLE */
h1 {
    position: fixed;
    top: 0px;
    left: 20px;
    width: fit-content;
    z-index: 10000 !important;
    font-family: var(--condensed);
    font-size: 60px;
    margin: 0;
    user-select: none;
}
.star {
    position: absolute;
    font-size: 20px;
    color: white;
    filter: drop-shadow(0px 5px 5px rgba(0, 0, 0, 0.5));
    cursor: pointer;
    transition: all 0.5s ease-in-out;
}
.star:hover {
    color: black;
    animation: paused;
}
.star1 {
    top: 10px;
    left: 150px;
    animation: stars 2s ease-in-out infinite;
}
.star2 {
    top: 35px;
    left: 200px;
    animation: stars 4s ease-in-out infinite;
}
.star3 {
    top: 25px;
    left: 250px;
    animation: stars 3s ease-in-out infinite;
}
@keyframes stars {
    0% {
        opacity: 0.1;
        transform: rotate(0deg);
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0.1;
        transform: rotate(360deg);
    }
}

/* MAP */
#map,
#map-wrapper {
    width: 100vw;
    height: 100vh;
}

/*#map-wrapper::after {
    content: "";
    position: absolute;
    background-color: #E8EAE1;
    mix-blend-mode: multiply;
    opacity: 1;
    pointer-events: none;
    z-index: 9000;
    inset: 0;
}*/
.leaflet-tile {
    filter: grayscale(100%) brightness(100%) contrast(110%) !important;
}
.leaflet-control-zoom {
    border: none !important;
    filter: drop-shadow(0px 5px 5px rgba(0, 0, 0, 0.5));
}

.leaflet-control-zoom a {
    background: white;
    color: black;
    border-radius: 100px !important;
    margin-bottom: 10px;
    width: 50px !important;
    height: 50px !important;
    line-height: 50px;
    align-content: center;
    transition: all 0.5s ease-in-out;
}

.leaflet-control-zoom a:hover {
    background: black !important;
    color: white !important;
}

/* NAV */
nav {
    position: fixed;
    display: flex;
    flex-direction: row;
    gap: 20px;
    top: 20px;
    right: 20px;
    z-index: 9000;
}

/* BUTTONS */
button {
    padding: 10px 20px;
    border-radius: 100px;
    border: none;
    background-color: white;
    filter: drop-shadow(0px 5px 5px rgba(0, 0, 0, 0.5));
    font-family: var(--condensed);
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-size: 16px;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
    width: fit-content;
}
button:hover {
    background-color: black;
    color: white;
}
#close-about-btn, #close-profile-btn, #close-report-sighting-btn {
    position: absolute;
    top: 20px;
    right: 20px;
}
#report-sighting-btn {
    background-color: black;
    color: white;
}
#report-sighting-btn:hover {
    background-color: white;
    color: black;
}

/* PAGES */
#profile {
    position: fixed;
    right: 0;
    height: 100vh;
    padding: 100px 40px 40px 40px;
    width: 500px;
    z-index: 9000;
    transform: translateX(1000px);
    background-color: white;
    border-left: 1px solid lightgray;
    transition: transform 0.75s ease-in-out;
}
#profile img {
    width: 100%;
}
#about {
    position: fixed;
    right: 0;
    height: 100vh;
    padding: 100px 40px 40px 40px;
    width: 500px;
    z-index: 9000;
    transform: translateX(1000px);
    background-color: white;
    border-left: 1px solid lightgray;
    transition: transform 0.75s ease-in-out;
}

#report-sighting {
    position: fixed;
    right: 0;
    height: 100vh;
    padding: 100px 40px 40px 40px;
    width: 500px;
    z-index: 9000;
    transform: translateX(1000px);
    background-color: white;
    border-left: 1px solid lightgray;
    transition: transform 0.75s ease-in-out;
}

@media (max-width: 650px){
    nav {
        display: flex;
        flex-direction: column-reverse;
    }
}
#report-sighting img {
    width: 75%;
    align-self: center;
}